#!/bin/bash
# "Lire" des variables.

echo -n "Entrez la valeur de la variable 'var1' : "
# L'option -n d'echo supprime le retour chariot.

read var1
#  Notez qu'il n'y a pas de '$' devant var1 car elle est en train d'être
#+ initialisée.

echo "var1 = $var1"


echo

# Une simple instruction 'read' peut initialiser plusieurs variables.
echo -n "Entrez les valeurs des variables 'var2' et 'var3' " \
   "(séparées par des espaces ou des tabulations): "
read var2 var3
echo "var2 = $var2      var3 = $var3"
#  Si vous entrez seulement une valeur,
#+ les autres variables resteront non initialisées (null).

exit 0
